Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy.ejb
Class EjbObjectCorbaServant

    java.lang.Object
      org.omg.PortableServer.Servant
          org.jboss.invocation.iiop.ServantWithMBeanServer
              org.jboss.proxy.ejb.EjbObjectCorbaServant

All Implemented Interfaces:
  InvokeHandler, LocalIIOPInvoker

public class EjbObjectCorbaServant
extends ServantWithMBeanServer
implements InvokeHandler, LocalIIOPInvoker

CORBA servant class for the `EJBObject`s of a given bean. An instance of this class "implements" the bean's set of `EJBObject` instances by forwarding to the bean container all IIOP invocations on any of the bean's `EJBObject`s. Such invocations are routed through the JBoss `MBean` server, which delivers them to the target container.

Version:
  $Revision: 1.14 $
Author:
  Francisco Reverbel

Constructor Summary
`EjbObjectCorbaServant(javax.management.ObjectName containerName, ClassLoader containerClassLoader, Current poaCurrent, Map methodInvokerMap, String[] repositoryIds, InterfaceDef interfaceDef, org.jboss.logging.Logger logger)` Constructs an `EjbObjectCorbaServant>`.

Method Summary
`String[]` | `_all_interfaces(POA poa, byte[] objectId)` Returns an array with the CORBA repository ids of the RMI-IDL interfaces implemented by this servant's `EJBObject`s.
`Object` | `_get_interface_def()` Returns an IR object describing the bean's remote interface.
`OutputStream` | `_invoke(String opName, InputStream in, ResponseHandler handler)` Receives IIOP requests to this servant's `EJBObject`s and forwards them to the bean container, through the JBoss `MBean` server.
`Object` | `invoke(String opName, Object[] arguments, Transaction tx, Principal identity, Object credential)` Receives intra-VM invocations on this servant's `EJBObject`s and forwards them to the bean container, through the JBoss `MBean` server.
`void` | `setMBeanServer(javax.management.MBeanServer mbeanServer)` Sets this servant's `MBeanServer`.

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbObjectCorbaServant

    public EjbObjectCorbaServant(javax.management.ObjectName containerName,
                                 ClassLoader containerClassLoader,
                                 Current poaCurrent,
                                 Map methodInvokerMap,
                                 String[] repositoryIds,
                                 InterfaceDef interfaceDef,
                                 org.jboss.logging.Logger logger)

  Constructs an `EjbObjectCorbaServant>`.

Method Detail

### setMBeanServer

    public void setMBeanServer(javax.management.MBeanServer mbeanServer)

  Sets this servant's `MBeanServer`.

  Specified by:
    `setMBeanServer` in class `ServantWithMBeanServer`

### _get_interface_def

    public Object _get_interface_def()

  Returns an IR object describing the bean's remote interface.

### _all_interfaces

    public String[] _all_interfaces(POA poa,
                                    byte[] objectId)

  Returns an array with the CORBA repository ids of the RMI-IDL interfaces implemented by this servant's `EJBObject`s.

### _invoke

    public OutputStream _invoke(String opName,
                                InputStream in,
                                ResponseHandler handler)

  Receives IIOP requests to this servant's `EJBObject`s and forwards them to the bean container, through the JBoss `MBean` server.

  Specified by:
    `_invoke` in interface `InvokeHandler`

### invoke

    public Object invoke(String opName,
                         Object[] arguments,
                         Transaction tx,
                         Principal identity,
                         Object credential)
                  throws Exception

  Receives intra-VM invocations on this servant's `EJBObject`s and forwards them to the bean container, through the JBoss `MBean` server.

  Specified by:
    `invoke` in interface `LocalIIOPInvoker`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.